## pyglossary 3.2.1

=== pyglossary/plugins/appledict/templates/Makefile ===
#
# Makefile
#
#
#

###########################

# You need to edit these values.

DICT_NAME		=	"%(dict_name)s"
DICT_SRC_PATH		=	"%(dict_name)s.xml"
CSS_PATH		=	"%(dict_name)s.css"
PLIST_PATH		=	"%(dict_name)s.plist"

DICT_BUILD_OPTS		=
# Suppress adding supplementary key.
# DICT_BUILD_OPTS		=	-s 0	# Suppress adding supplementary key.

###########################

# The DICT_BUILD_TOOL_DIR value is used also in "build_dict.sh" script.
# You need to set it when you invoke the script directly.

DICT_BUILD_TOOL_DIR	=	"/Developer/Extras/Dictionary Development Kit"
DICT_BUILD_TOOL_BIN	=	"$(DICT_BUILD_TOOL_DIR)/bin"

###########################

DICT_DEV_KIT_OBJ_DIR	=	./objects
export	DICT_DEV_KIT_OBJ_DIR

DESTINATION_FOLDER	=	~/Library/Dictionaries
RM			=	/bin/rm

###########################

all:
	"$(DICT_BUILD_TOOL_BIN)/build_dict.sh" $(DICT_BUILD_OPTS) $(DICT_NAME) $(DICT_SRC_PATH) $(CSS_PATH) $(PLIST_PATH)
	echo "Done."


install:
	echo "Installing into $(DESTINATION_FOLDER)".
	mkdir -p $(DESTINATION_FOLDER)
	ditto --noextattr --norsrc $(DICT_DEV_KIT_OBJ_DIR)/$(DICT_NAME).dictionary  $(DESTINATION_FOLDER)/$(DICT_NAME).dictionary
	touch $(DESTINATION_FOLDER)
	echo "Done."
	echo "To test the new dictionary, try Dictionary.app."

clean:
	$(RM) -rf $(DICT_DEV_KIT_OBJ_DIR)

=== debian/changelog ===
pyglossary (3.2.1-1) unstable; urgency=medium

  * Initial release. (Closes: #947110)

 -- Emfox Zhou <emfox@debian.org>  Sat, 27 Dec 2019 17:54:04 +0800

=== debian/control ===
Source: pyglossary
Section: python
Priority: optional
Maintainer: Emfox Zhou <emfox@debian.org>
Build-Depends: debhelper (>= 11~), dh-python,
               python3-all,
               python3-setuptools,
Standards-Version: 4.4.1
Homepage: https://github.com/ilius/pyglossary

Package: python3-pyglossary
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: python3-gi, python3-gi-cairo, gir1.2-gtk-3.0,
            python3-lxml, python3-icu, python3-html5lib,
            python3-jinja2, python3-lzo, python3-icu
Description: tool for workig with dictionary databases - Python 3.X
 PyGlossary is a tool for converting dictionary files aka glossaries,
 from/to various formats used by different dictionary applications

## pyglossary 4.5.0

=== debian/changelog ===
pyglossary (4.5.0-3) unstable; urgency=medium

  * Add build depend and re-enable build test. (Closes: #1029979)
  * Fix typo. (Closes: #1029980)

 -- Emfox Zhou <emfox@debian.org>  Mon, 30 Jan 2023 10:10:00 +0800

pyglossary (4.5.0-2) unstable; urgency=medium

  * FTBFS: disable pybuild test.

 -- Emfox Zhou <emfox@debian.org>  Sun, 29 Jan 2023 17:11:49 +0800

pyglossary (4.5.0-1) unstable; urgency=medium

  * New upstream release.
    - Working on newer python3 (Closes: #1027305).
  * Bump policy and compat version.

 -- Emfox Zhou <emfox@debian.org>  Sun, 29 Jan 2023 09:03:30 +0800

pyglossary (3.2.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild on buildd.

 -- Boyuan Yang <byang@debian.org>  Thu, 31 Dec 2020 13:18:44 -0500

=== debian/control ===
Source: pyglossary
Section: python
Priority: optional
Maintainer: Emfox Zhou <emfox@debian.org>
Build-Depends: debhelper (>= 13~), dh-python, python3-all,
               python3-setuptools, python3-gi, gir1.2-gtk-3.0
Standards-Version: 4.6.2
Homepage: https://github.com/ilius/pyglossary

Package: python3-pyglossary
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: python3-gi, python3-gi-cairo, gir1.2-gtk-3.0,
            python3-lxml, python3-icu, python3-html5lib,
            python3-jinja2, python3-lzo, python3-icu
Description: tool for working with dictionary databases - Python 3.X
 PyGlossary is a tool for converting dictionary files aka glossaries,
 from/to various formats used by different dictionary applications

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=pyglossary

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_fixperms:
	dh_fixperms
	rm -f debian/python3-pyglossary/usr/lib/python3/dist-packages/pyglossary/plugins/cc_cedict/.gitignore

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pyglossary-$1\.tar\.gz/ \
  https://github.com/ilius/pyglossary/tags .*/?(\d\d?\.\d.\d)\.tar\.gz

## pyglossary 5.0.9

=== pyglossary/plugins/appledict/templates/Makefile ===
#
# Makefile
#
#
#

###########################

# You need to edit these values.

DICT_NAME		=	"{dict_name}"
DICT_SRC_PATH		=	"{dict_name}.xml"
CSS_PATH		=	"{dict_name}.css"
PLIST_PATH		=	"{dict_name}.plist"

DICT_BUILD_OPTS		=
# Suppress adding supplementary key.
# DICT_BUILD_OPTS		=	-s 0	# Suppress adding supplementary key.

###########################

# The DICT_BUILD_TOOL_DIR value is used also in "build_dict.sh" script.
# You need to set it when you invoke the script directly.

DICT_BUILD_TOOL_DIR	=	"/Applications/Utilities/Dictionary Development Kit"
DICT_BUILD_TOOL_BIN	=	"$(DICT_BUILD_TOOL_DIR)/bin"

###########################

DICT_DEV_KIT_OBJ_DIR	=	./objects
export	DICT_DEV_KIT_OBJ_DIR

DESTINATION_FOLDER	=	~/Library/Dictionaries
RM			=	/bin/rm

###########################

all:
	"$(DICT_BUILD_TOOL_BIN)/build_dict.sh" $(DICT_BUILD_OPTS) $(DICT_NAME) $(DICT_SRC_PATH) $(CSS_PATH) $(PLIST_PATH)
	@echo "Done."


install:
	@echo "Installing into $(DESTINATION_FOLDER)".
	mkdir -p $(DESTINATION_FOLDER)
	ditto --noextattr --norsrc $(DICT_DEV_KIT_OBJ_DIR)/$(DICT_NAME).dictionary  $(DESTINATION_FOLDER)/$(DICT_NAME).dictionary
	touch $(DESTINATION_FOLDER)
	@echo "Done."
	@echo "To test the new dictionary, try Dictionary.app."

clean:
	$(RM) -rf $(DICT_DEV_KIT_OBJ_DIR)

=== debian/changelog ===
pyglossary (5.0.9-1) unstable; urgency=medium

  * New upstream release. (Closes: #1086527)
    - SyntaxWarning fixed. (Closes: #1085807)

 -- Emfox Zhou <emfox@debian.org>  Tue, 01 Apr 2025 15:19:44 +0800

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: python
 Priority: optional
 Maintainer: Emfox Zhou <emfox@debian.org>
-Build-Depends: debhelper (>= 13~), dh-python, python3-all,
-               python3-setuptools, python3-gi, gir1.2-gtk-3.0
-Standards-Version: 4.6.2
+Build-Depends: debhelper (>= 13~), pybuild-plugin-pyproject,
+               python3-all, python3-setuptools, python3-gi, gir1.2-gtk-3.0,
+               python3-bs4, python3-lxml
+Standards-Version: 4.7.2
 Homepage: https://github.com/ilius/pyglossary
 
 Package: python3-pyglossary

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=pyglossary

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	echo "disabling dh_auto_test"
